# MatAYPX

Computes Y = X + a*Y.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatAYPX(const PetscScalar *a,Mat X,Mat Y)

Collective on Mat

### Input Parameters

| X,Y | - the matrices
| a | - the PetscScalar multiplier

Contributed by: Matthew Knepley

### Notes

This routine currently uses the MatAXPY() implementation.

This is slow, if you need it fast send email to petsc-maint@mcs.anl.gov

### Keywords

matrix, add

### See Also

MatAXPY()

Level:intermediate
Location:src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages